%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           fake_fedorainfra
Version:        0.1.6
Release:        1%{?dist}
Summary:        Fake partial implementation of fedora infrastructure for testing

License:        GPLv2+
URL:            https://bitbucket.org/fedoraqa/fake_fedorainfra
Source0:        https://bitbucket.org/fedoraqa/fake_fedorainfra-%{version}.tar.gz

BuildArch:      noarch

Requires:       python-flask
Requires:       python-flask-sqlalchemy
Requires:       python-flask-wtf
Requires:       python-flask-login
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
This is a partial implementation of the Fedora infrastructure to use for
testing without needing to actually set up instances of all the services.

%prep
%setup

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# apache and wsgi settings
mkdir -p %{buildroot}%{_datadir}/fake_fedorainfra/conf
cp conf/fake_fedorainfra.conf %{buildroot}%{_datadir}/fake_fedorainfra/conf/.
cp conf/fake_fedorainfra.wsgi %{buildroot}%{_datadir}/fake_fedorainfra/.

mkdir -p %{buildroot}%{_sysconfdir}/fake_fedorainfra
install conf/settings.py.example %{buildroot}%{_sysconfdir}/fake_fedorainfra/settings.py.example

%files
%doc conf/*
%{python_sitelib}/fake_fedorainfra
%{python_sitelib}/*.egg-info

%attr(755,root,root) %{_bindir}/fake_fedorainfra
%dir %{_sysconfdir}/fake_fedorainfra
%{_sysconfdir}/fake_fedorainfra/*
%dir %{_datadir}/fake_fedorainfra
%{_datadir}/fake_fedorainfra/*

%changelog
* Tue Apr 1 2014 Tim Flink <tflink@fedoraproject.org> - 0.1.6-1
- updating to latest code for bodhi error handling improvements

* Tue Apr 1 2014 Tim Flink <tflink@fedoraproject.org> - 0.1.5-1
- updating to latest code, fixing some small config and setup issues

* Fri Mar 28 2014 Tim Flink <tflink@fedoraproject.org> - 0.1.4-2
- fixing error in wsgi

* Fri Mar 28 2014 Tim Flink <tflink@fedoraproject.org> - 0.1.4-1
- initial packaging
